Project

General

Profile

Bug #10409

Can't build Ruby checked out from official GitHub mirror

Added by imasahiro (Masahiro Ide) over 5 years ago. Updated over 5 years ago.

Status:
Closed
Priority:
Normal
Target version:
ruby -v:
ruby 2.2.0dev (2014-10-21 trunk 48070) [i686-linux]
[ruby-dev:48679]

Description

When I tried to compile official github mirror version of ruby on linux system, I get the error:

$ ./configure
...
checking for broken memmem... no
checking for nroff... /usr/bin/nroff
.ext/include/i686-linux/ruby/config.h updated
ruby library version = 2.2.0
configure: creating ./config.status
config.status: creating GNUmakefile
config.status: creating Makefile
config.status: creating ruby-2.2.pc
Downloading Unicode data files...
ruby: Can't chdir to ../enc/unicode/data (fatal)
make: *** [update-unicode] Error 1

This error happens only in the git version because git don't track emtpy directories ("$(srcdir)/enc/unicode/data").

The following patch may fix this problem.

diff --git a/common.mk b/common.mk
index 09ce4a8..e41e047 100644
--- a/common.mk
+++ b/common.mk
@@ -1097,6 +1097,7 @@ update-gems: PHONY

 update-unicode: PHONY
    $(ECHO) Downloading Unicode data files...
+   $(Q) $(MAKEDIRS) "$(srcdir)/enc/unicode/data"
    $(Q) $(BASERUBY) -C "$(srcdir)/enc/unicode/data" \
        ../../../tool/downloader.rb -e $(ALWAYS_UPDATE_UNICODE:yes=-a) unicode \
        UnicodeData.txt CompositionExclusions.txt NormalizationTest.txt

Updated by hsbt (Hiroshi SHIBATA) over 5 years ago

  • Status changed from Open to Assigned
  • Assignee set to duerst (Martin Dürst)

I got same situation. Please fix it.

Updated by duerst (Martin Dürst) over 5 years ago

  • Category set to build
  • Status changed from Assigned to Closed

Fixed with r48073.

Also available in: Atom PDF